<?php
declare (strict_types = 1);

namespace app\admin\model;

use think\Model;

/**
 * @mixin \think\Model
 */
class TagLog extends Model
{
	protected $createTime='addtime';
    protected $updateTime='updatetime';
    public $status = ["解除","添加","修改"];
    
    public function TagInfo(){
    	return $this->belongsTo(OrderTag::class,"tag_id","id")->bind(["type","tag_name"]);
    }
    
    public function OrderInfo(){
        return $this->belongsTo(QrdInfo::class,'code','sequenceNo')
        ->bind(['companyNo','companyName','customerNo','customerName',]);
    }
    
    public function PayInfo(){
        return $this->belongsTo(Pay::class,'code','payNo')
        ->bind(['companyNo','companyName','supplierNo','supplierName']);
    }

    public function CgdInfo(){
    	return $this->belongsTo(CgdInfo::class,'code','sequenceNo')
    	->bind(['companyNo','companyName','supplierNo','supplierName']);
    }
}
